## OGMDvdAudio OGMDvdAudio — Structure describing an audio stream |

## Functions

gint | ogmdvd_audio_stream_get_format ()
gint | ogmdvd_audio_stream_get_channels ()
gint | ogmdvd_audio_stream_get_language ()
gint | ogmdvd_audio_stream_get_quantization ()
gint | ogmdvd_audio_stream_get_content ()
gint | ogmdvd_audio_stream_get_bitrate ()

## Includes

    #include <ogmdvd-audio.h>

## Description

## Functions

### ogmdvd_audio_stream_get_format ()

    gint
    ogmdvd_audio_stream_get_format (OGMDvdAudioStream *audio);

Returns the format of the audio stream.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

OGMDvdAudioFormat, or -1

### ogmdvd_audio_stream_get_channels ()

    gint
    ogmdvd_audio_stream_get_channels (OGMDvdAudioStream *audio);

Returns the number of channels of the audio stream.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

OGMDvdAudioChannels, or -1

### ogmdvd_audio_stream_get_language ()

    gint
    ogmdvd_audio_stream_get_language (OGMDvdAudioStream *audio);

Returns the language of the audio stream.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

the language code, or -1

### ogmdvd_audio_stream_get_quantization ()

    gint
    ogmdvd_audio_stream_get_quantization (OGMDvdAudioStream *audio);

Returns the quantization of the audio stream.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

OGMDvdAudioQuantization, or -1

### ogmdvd_audio_stream_get_content ()

    gint
    ogmdvd_audio_stream_get_content (OGMDvdAudioStream *audio);

Returns the content of the audio stream.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

OGMDvdAudioContent, or -1

### ogmdvd_audio_stream_get_bitrate ()

    gint
    ogmdvd_audio_stream_get_bitrate (OGMDvdAudioStream *audio);

Returns the bitrate of the audio stream in bps.

#### Parameters

audio | An OGMDvdAudioStream |

#### Returns

the bitrate, or -1

## Types and Values